Subject: Re: [Mip4] Comments on draft-ietf-dhc-mipadvert-opt-01.txt

From: Henrik Levkowetz <[email-masked]>
Date: Tue, 2 Dec 2003 18:05:02 +0100

Hi Sami,

	Thanks for the response. Some questions inline:

Monday  1 December 2003, [email-masked] wrote:
> Overall: I support the acceptance of this document, it seems to
> provide a useful mechanism that may be relevant in more complicated
> foreign agent scenarios (e.g. multi-provider environment).
> 
> On the details, a few comments:
> 
>    - If possible, the duplication of agent advertisement format
>      from RFC 3344 to this document should be avoided, as it
>      introduces a dependency and does not make it clear is the
>      format updated if the corresponding ICMP format is updated
>      (although the flags field is discussed separately, but
>      other changes to the format may at least theoretically
>      happen :-).

Ok, so we would need to refer to 3344 or successor as the authoritative
source for the advertisement format not only for the flag but overall.

Would this be acceptable?

>      One concrete suggestion for Section 3.3:
> 
>        - Specify the extension as having exactly one agent
>          advertisement (for simplicity, personal preference),
>          the extension beginning with Mobility Agent IP Address.

Elaborating on this suggestion, we have the following choices:

	1. This sub-option may have only one agent advertisement, and
	may occur only one time.

	2. This sub-option may have only one agent advertisement, but
	the sub-option itself may occur multiple times.

	3. This sub-option may have multiple agent advertisements, but
	may itself occur only one time.

	4. This sub-option may have multiple agent advertisements, and
	the sub-option itself may occur multiple times.

Alternative 4 does not really make any sense to me; the question is,
is it too limiting to adopt alternative 1, or do we want to go with
alternatives 2 or 3 ?  And if so which one?

>        - Keep the extension format otherwise as-is, but
>          instead of re-specifying the extension, refer to
>          RFC 3344 Section 2.1.1.  Expand the current flags
>          discussion to cover other fields of the advertisement
>          as well.

Ok, no problem.

>    - An alternative would be to provide the MN with only the
>      FA IP addresses, but this does not seem to work well with
>      ICMP router solicitation (the router is allowed to answer
>      with multicast which might confuse other MNs in the
>      network).  Was this alternative considered (and rejected) ?

Yes, this seemed like a less complete solution; if one wanted to
cleanly separate different service options, this alternative would
still permit information to 'leak'.

>    - Nit: RFC 3220 references should be changed to RFC 3344 references.

Absolutely. This draft has been on the road for a while :-)

	Best regards,
		Henrik

-- 
Mip4 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mip4